function Triangle2FreeFem(name)
% Triangle2FreeFem: 
% write the mesh generated by Triangle 
% in a file compatible with FreeFem++

str_n = sprintf('%s.node',name);
str_e = sprintf('%s.ele',name);
str_p = sprintf('%s.poly',name);
str_m = sprintf('%s.msh',name);

modify_node(str_n)
modify_ele(str_e)
modify_poly(str_p)

% triangles
T = load('truncated.ele');
nT = size(T,1);
T = T(:,2:end);

% vertices
V = load('truncated.node');
nV = size(V,1);
V = V(:,2:end);

% edges
E = load('truncated.poly');
nE = size(E,1);
E = E(:,2:end);

if exist(str_m)
    delete(str_m);
end

fid = fopen(str_m,'w');
fprintf(fid,'%d %d %d \n', nV, nT, nE);
for i=1:nV
    fprintf(fid, '%d %d %d \n',V(i,1),V(i,2),0);
end
for i=1:nT
    fprintf(fid, '%d %d %d %d \n',T(i,1),T(i,2),T(i,3),1);
end
for i=1:nE
    fprintf(fid, '%d %d %d \n',E(i,1),E(i,2),1);
end
fclose(fid);